Subject: Re: bug#51037: [PATCH] Make `print-level` & `print-length` customizable in ERT batch tests

From: Filipp Gunbin <[email-masked]>
Date: Mon, 22 Nov 2021 20:29:39 +0300

On 22/11/2021 06:07 -0800, Michael wrote:

> So, we could do either of:
>
>    1. As Filipp suggests, just change the contract for
>    `ert-batch-backtrace-line-length' to: if set to nil, you get
>    full stack traces, period.
>
>    2. change `cl-print-to-string-with-limit' to respect the
>    existing values of `print-length' & `print-level' when
>    `limit' is nil. Note that the only caller (in Emacs) of this
>    function is the backtrace package.
>
> I vote for option 2. What say you all?

I think the right way is 1 (which I already installed) because then, as
the result of your patch, we get the ability to override
backtrace-line-length with ert-batch-backtrace-line-length, and nothing
more.

Changing the semantics of backtrace-line-length should be done (if done)
in a separate issue, IMO.

Personally, I like that LIMIT in cl-print-to-string-with-limit is "hard
override".

Filipp